package com.xtd.project.hkmanager.service.impl;

import com.xtd.common.utils.IdUtils;
import com.xtd.project.hkmanager.entity.SynLog;
import com.xtd.project.hkmanager.mapper.SynLogMapper;
import com.xtd.project.hkmanager.service.SynLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @className: SynLogServiceImpl
 * @description:
 * @author: lym
 * @date: 2020/4/30 11:26
 */
@Service
public class SynLogServiceImpl implements SynLogService {

    @Autowired
    SynLogMapper synLogMapper;

    @Override
    public int delByPrimaryKey(String guid) {
        return 0;
    }

    @Override
    public int save(SynLog record) {
        return 0;
    }

    @Override
    public int saveSelective(SynLog record) {
        record.setGuid(IdUtils.simpleUUID());
        return synLogMapper.insertSelective(record);
    }

    @Override
    public SynLog queryByPrimaryKey(String guid) {
        return null;
    }

    @Override
    public int modifyByPrimaryKeySelective(SynLog record) {
        return 0;
    }

    @Override
    public int modifyByPrimaryKeyWithBLOBs(SynLog record) {
        return 0;
    }

    @Override
    public int modifyByPrimaryKey(SynLog record) {
        return 0;
    }
}
